<?php
// AShop
// Copyright 2012 - AShop Software - http://www.ashopsoftware.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see: http://www.gnu.org/licenses/.

// Get the correct path to the scripts...
	$path = (substr(PHP_OS, 0, 3) == 'WIN') ? strtolower(getcwd()) : getcwd();
	$path = str_replace("\\","/",$path);
	if (!$ashoppath) $ashoppath = $path;

// REQUEST_URI fix for Windows+IIS...
if (!isset($REQUEST_URI) and isset($_SERVER['SCRIPT_NAME'])) {
    $REQUEST_URI = $_SERVER['SCRIPT_NAME'];
    if (isset($_SERVER['QUERY_STRING']) and !empty($_SERVER['QUERY_STRING'])) $REQUEST_URI .= '?' . $_SERVER['QUERY_STRING'];
}

// AShop database initialization
   $updating = TRUE;
   include "admin/version.inc.php";
   include "admin/config.inc.php";
   include "admin/ashopfunc.inc.php";

// Open database...
$db = @mysql_connect("$databaseserver", "$databaseuser", "$databasepasswd");

// Check if the database configuration is working...
if (!$db) {
	if (is_writeable("$ashoppath/admin/config.inc.php")) {
		if ($_POST["ndatabaseserver"] && $_POST["ndatabaseuser"] && $_POST["ndatabasepasswd"] && $_POST["ndatabasename"]) {
			// Store new database configuration options...
			$configfile = "";
			$fp = @fopen ("$ashoppath/admin/config.inc.php","r");
			if ($fp) {
				while (!feof ($fp)) $configfile .= fgets($fp, 4096);
				fclose($fp);
				$configfile = str_replace("\"$databaseserver\"","\"".$_POST["ndatabaseserver"]."\"",$configfile);
				$configfile = str_replace("\"$databaseuser\"","\"".$_POST["ndatabaseuser"]."\"",$configfile);
				$configfile = str_replace("\"$databasepasswd\"","\"".$_POST["ndatabasepasswd"]."\"",$configfile);
				$configfile = str_replace("\"$databasename\"","\"".$_POST["ndatabasename"]."\"",$configfile);
				$fp = fopen ("$ashoppath/admin/config.inc.php","w");
				fwrite($fp, $configfile);
				fclose($fp);
			}
			header("Location: install.php");
			exit;
		} else {
			echo "<html><head><title>AShop Installation</title></head>
			<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
			<tr><td align=\"center\"><img src=\"admin/images/logo.gif\"><br><hr width=\"100%\" size=\"0\" noshade><br><font face=\"Arial, Helvetica, sans-serif\" size=\"3\"><b>Database Configuration</b></font><br><br>
			</td></tr><tr><td><font face=\"Arial, Helvetica, sans-serif\">";
			if ($databasename != "ashop" || $databaseuser != "user" || $databasepasswd != "password") echo "<p><font size=\"2\" color=\"#FF0000\">The user name, password or host you entered are incorrect!</font></p>";
			echo "
			<form action=\"install.php\" method=\"post\">
			<p><font size=\"2\">Enter your database connection details...</font></p>
			<table width=\"100%\" cellpadding=\"5\" cellspacing=\"0\" border=\"0\">
			<tr><td align=\"left\" width=\"150\"><font size=\"2\">Database Name: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabasename\" value=\"$databasename\"></td><td align=\"left\"><font size=\"2\">The name of the database you want to use for your AShop.</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">User Name: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabaseuser\" value=\"$databaseuser\"></td><td align=\"left\"><font size=\"2\">Your MySQL username</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">Password: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabasepasswd\" value=\"$databasepasswd\"></td><td align=\"left\"><font size=\"2\">...and MySQL password.</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">Database Host: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabaseserver\" value=\"$databaseserver\"></td><td align=\"left\"><font size=\"2\">Usually <i>localhost</i>. Check with your hosting provider if this does not work.</font></td></tr>
			</table>
			<p align=\"right\"><input type=\"submit\" value=\"Continue Installation >>\"></p>
			</form></font></td></tr></table></body></html>";
			exit;
		}
	} else {
		$error = 1;
		echo "<html><head><title>Database error!</title></head>
         <body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"75%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
	     <tr bordercolor=\"#000000\" align=\"center\"><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
 		 <tr align=\"center\"><td> <img src=\"admin/images/logo.gif\"><br><hr width=\"50%\" size=\"0\" noshade>
		 </td></tr></table><p><font face=\"Arial, Helvetica, sans-serif\"><p><font size=\"3\"><b>Database error!</b></font>
	     <p><font size=\"2\">Cannot connect to database on <b>$databaseserver</b>.<br><br>Check the settings for database server, database user and<br>database password in admin/config.inc.php!</font></p></font></td></tr></table></body></html>";
		 @mysql_close($db);
		 exit;
	}
}
$errorcheck = @mysql_select_db("$databasename",$db);
if (!$error && !$errorcheck) {
	if (is_writeable("$ashoppath/admin/config.inc.php")) {
		if ($_POST["ndatabaseserver"] && $_POST["ndatabaseuser"] && $_POST["ndatabasepasswd"] && $_POST["ndatabasename"]) {
			// Store new database configuration options...
			$configfile = "";
			$fp = @fopen ("$ashoppath/admin/config.inc.php","r");
			if ($fp) {
				while (!feof ($fp)) $configfile .= fgets($fp, 4096);
				fclose($fp);
				$configfile = str_replace("\"$databaseserver\"","\"".$_POST["ndatabaseserver"]."\"",$configfile);
				$configfile = str_replace("\"$databaseuser\"","\"".$_POST["ndatabaseuser"]."\"",$configfile);
				$configfile = str_replace("\"$databasepasswd\"","\"".$_POST["ndatabasepasswd"]."\"",$configfile);
				$configfile = str_replace("\"$databasename\"","\"".$_POST["ndatabasename"]."\"",$configfile);
				$fp = fopen ("$ashoppath/admin/config.inc.php","w");
				fwrite($fp, $configfile);
				fclose($fp);
			}
			header("Location: install.php");
			exit;
		} else {
			echo "<html><head><title>AShop Installation</title></head>
			<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
			<tr><td align=\"center\"><img src=\"admin/images/logo.gif\"><br><hr width=\"100%\" size=\"0\" noshade><br><font face=\"Arial, Helvetica, sans-serif\" size=\"3\"><b>Database Configuration</b></font><br><br>
			</td></tr><tr><td><font face=\"Arial, Helvetica, sans-serif\">
			<form action=\"install.php\" method=\"post\">
			<p><font size=\"2\" color=\"#FF0000\">The database name: <b>$databasename</b> is incorrect! Check the settings!</font></p>
			<p><font size=\"2\">Enter your database connection details...</font></p>
			<table width=\"100%\" cellpadding=\"5\" cellspacing=\"0\" border=\"0\">
			<tr><td align=\"left\" width=\"150\"><font size=\"2\">Database Name: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabasename\" value=\"$databasename\"></td><td align=\"left\"><font size=\"2\">The name of the database you want to user for your AShop.</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">User Name: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabaseuser\" value=\"$databaseuser\"></td><td align=\"left\"><font size=\"2\">Your MySQL username</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">Password: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabasepasswd\" value=\"$databasepasswd\"></td><td align=\"left\"><font size=\"2\">...and MySQL password.</font></td></tr>
			<tr><td align=\"left\"><font size=\"2\">Database Host: </font></td><td align=\"left\"><input type=\"text\" size=\"30\" name=\"ndatabaseserver\" value=\"$databaseserver\"></td><td align=\"left\"><font size=\"2\">Usually <i>localhost</i>. Check with your hosting provider if this does not work.</font></td></tr>
			</table>
			<p align=\"right\"><input type=\"submit\" value=\"Continue Installation >>\"></p>
			</form></font></td></tr></table></body></html>";
			exit;
		}
	} else {
		echo "<html><head><title>Database error!</title></head>
         <body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"75%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
	     <tr bordercolor=\"#000000\" align=\"center\"><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
 		 <tr align=\"center\"><td> <img src=\"admin/images/logo.gif\"><br><hr width=\"50%\" size=\"0\" noshade>
		 </td></tr></table><p><font face=\"Arial, Helvetica, sans-serif\"><p><font size=\"3\"><b>Database error!</b></font>
	     <p><font size=\"2\">The database name: <b>$databasename</b> is incorrect! Check the settings in your admin/config.inc.php!</font></p></font></td></tr></table></body></html>";
	}
	@mysql_close($db);
	exit;
}

// Check if privileges are sufficient...
@mysql_query("DROP TABLE privtesttable",$db);
@mysql_query("CREATE TABLE privtesttable (testid int not null, orderid int)",$db);
if (@mysql_error()) {
	echo "<html><head><title>Database error!</title></head>
         <body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"75%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
	     <tr bordercolor=\"#000000\" align=\"center\"><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
 		 <tr align=\"center\"><td> <img src=\"admin/images/logo.gif\"><br><hr width=\"50%\" size=\"0\" noshade>
		 </td></tr></table><p><font face=\"Arial, Helvetica, sans-serif\"><p><font size=\"3\"><b>Database error!</b></font>
	     <p><font size=\"2\">The database user does not have privileges to add tables!<br>Ask your hosting provider to give your database user privileges to add and modify database tables!</font></p></font></td></tr></table></body></html>";
	exit;
} else {
	@mysql_query("ALTER TABLE privtesttable ADD anotherfield VARCHAR(3)",$db);
	if (@mysql_error()) {
		echo "<html><head><title>Database error!</title></head>
         <body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"75%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
	     <tr bordercolor=\"#000000\" align=\"center\"><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
 		 <tr align=\"center\"><td> <img src=\"admin/images/logo.gif\"><br><hr width=\"50%\" size=\"0\" noshade>
		 </td></tr></table><p><font face=\"Arial, Helvetica, sans-serif\"><p><font size=\"3\"><b>Database error!</b></font>
	     <p><font size=\"2\">The database user does not have privileges to modify tables!<br>Ask your hosting provider to give your database user privileges to modify the structure of database tables!</font></p></font></td></tr></table></body></html>";
		 @mysql_query("DROP TABLE privtesttable",$db);
		 exit;
	} else {
		@mysql_query("DROP TABLE privtesttable",$db);
		if (@mysql_error()) {
			echo "<html><head><title>Database error!</title></head>
			<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"75%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
			<tr bordercolor=\"#000000\" align=\"center\"><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\">
			<tr align=\"center\"><td> <img src=\"admin/images/logo.gif\"><br><hr width=\"50%\" size=\"0\" noshade>
			</td></tr></table><p><font face=\"Arial, Helvetica, sans-serif\"><p><font size=\"3\"><b>Database error!</b></font>
			<p><font size=\"2\">The database user does not have privileges to delete tables!<br>Ask your hosting provider to give your database user privileges to delete database tables!</font></p></font></td></tr></table></body></html>";
			exit;
		}
	}
}


// Check if the database has been setup already...
$result = @mysql_query("SELECT * FROM preferences");
if (@mysql_num_rows($result)) {

	// Create an affiliate account for AShop Software to support development of AShop...
	if ( ! function_exists('makePassword') ) {
		function makePassword() {
			$alphaNum = array(2, 3, 4, 5, 6, 7, 8, 9, a, b, c, d, e, f, g, h, i, j, k, m, n, p, q, r, s, t, u, v, w, x, y, z);
			srand ((double) microtime() * 1000000);
			$pwLength = "7"; // this sets the limit on how long the password is.
			for($i = 1; $i <=$pwLength; $i++) {
				$newPass .= $alphaNum[(rand(0,31))];
			}
			return ($newPass);
		}
	}
	$affpassword = makePassword();
	$date = date("Y-m-d H:i:s", time());
	@mysql_query("INSERT INTO affiliate (user, password, business, firstname, lastname, email, address, state, zip, city, country, phone, url, paypalid, signedup, updated, referralcode, commissionlevel, extrainfo) VALUES ('ashopsoft', '$affpassword', 'AShop Software', 'AShop', 'Software', 'affiliate@ashopsoftware.com', 'Ringvagen 25', 'Skane', '28020', 'Bjarnum', 'SE', '555', 'http://www.ashopsoftware.com', 'affiliate@ashopsoftware.com', '$date', '$date', 'ashop001', 1, '')",$db);
	@ashop_mail("affiliate@ashopsoftware.com","New AShop Affiliate Account","URL: $ashopurl/affiliate/login.php\nUsername: ashopsoft\nPassword: $affpassword\n");
	@mysql_close($db);
	header("Location: admin/login.php");
	exit;
} else if (!$_POST["startinstall"]) {
	echo "<html><head><title>AShop Installation</title></head>
			<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"40%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
			<tr><td align=\"center\"><img src=\"admin/images/logo.gif\"><br><hr width=\"100%\" size=\"0\" noshade><br><font face=\"Arial, Helvetica, sans-serif\" size=\"3\"><b>Welcome to AShop!</b></font><br><br>
			</td></tr><tr><td><font face=\"Arial, Helvetica, sans-serif\" size=\"2\">
			<P>When you click the button below the database tables for AShop will be created and default settings will be stored. After this you will be able to login to the AShop administration panel from where you can modify the settings of AShop to fit your needs.</p><p>If you want to support further development of AShop visit our website at: <a href=\"http://www.ashopsoftware.com\" target=\"_blank\">www.ashopsoftware.com</a> to buy addon products or donate to the project.</P></font>
			<p align=\"right\"><form action=\"install.php\" method=\"post\"><input type=\"hidden\" name=\"startinstall\" value=\"true\"><input type=\"submit\" value=\"Start Installation >>\"></form></p>
			</font></td></tr></table></body></html>";
	@mysql_close($db);
	exit;
} else {

	// Make sure the correct path and url can be found...
	if ($_SERVER['HTTPS'] == "on") $url = "https://";
	else $url = "http://";
	$url .= $HTTP_HOST.$REQUEST_URI;
	$url = str_replace("/install.php","",$url);

	if (!$path || !$url) {
		if (!$_POST["ashoppath"] && !$_POST["ashopurl"]) {
			echo "<html><head><title>AShop Installation</title></head>
			<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000000\" vlink=\"#000000\" alink=\"#000000\"><table width=\"40%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">
			<tr><td align=\"center\"><img src=\"admin/images/logo.gif\"><br><hr width=\"100%\" size=\"0\" noshade><br><font face=\"Arial, Helvetica, sans-serif\" size=\"3\"><b>The following parameter(s) could not be automatically set...</b></font><br><br>
			</td></tr><tr><td><font face=\"Arial, Helvetica, sans-serif\">
			<form action=\"install.php\" method=\"post\">";
			if (!$path) echo "
			<p><font size=\"2\"><b>File system path to this AShop</b></font></p>
			<blockquote><font size=\"2\">Enter path: <input type=\"text\" size=\"40\" name=\"ashoppath\" value=\"$ashoppath\"></font></blockquote>";
			if (!$url) echo "
			<p><font size=\"2\"><b>The URL to this AShop</b>:</font></p><blockquote><font size=\"2\">Enter URL: <input type=\"text\" size=\"40\" name=\"ashopurl\" value=\"$ashopurl\"></font></blockquote>";
			echo "
			<p align=\"right\"><input type=\"hidden\" name=\"startinstall\" value=\"true\"><input type=\"submit\" value=\"Continue Installation >>\"></p>
			</form></font></td></tr></table></body></html>";
			@mysql_close($db);
			exit;
		} else {
			if ($_POST["ashoppath"]) $path = $_POST["ashoppath"];
			if ($_POST["ashopurl"]) $url = $_POST["ashopurl"];
			
		}
	}

	// Create default secure URL...
	$secureurl = str_replace("http://", "https://", $url);
}

// Create tables...
@mysql_query("CREATE TABLE customer (
	username varchar(50),
	password varchar(30),
	sessionid varchar(50),
	ip varchar(15),
	activity varchar(30),
	level int default 0,
	businessname varchar(50),
	businesstype varchar(15),
	url varchar(50),
	resellerid varchar(30),
	firstname varchar(50),
	lastname varchar(50),
	email varchar(50) not null,
	alternativeemails text,
	address varchar(50),
	zip varchar(10),
	city varchar(30),
	state varchar(30),
	country varchar(30),
	phone varchar(20),
	alternativephones text,
	extrainfo text,
	customerid int4 not null auto_increment,
	preflanguage varchar(2),
	allowemail int,
	affiliateid varchar(255),
	referral varchar(8),
	virtualcash decimal(10,2),
	facebookid varchar(20),
	PRIMARY KEY (customerid),
	INDEX (sessionid),
	INDEX (email),
	INDEX (facebookid)
)");

@mysql_query("CREATE TABLE pendingcustomer (
	username varchar(50),
	password varchar(30),
	firstname varchar(50),
	lastname varchar(50),
	email varchar(50),
	customerid int4 not null auto_increment,
	allowemail int,
	confirmationcode varchar(50),
	affiliateid varchar(255),
	PRIMARY KEY (customerid),
	INDEX (confirmationcode),
	INDEX (email)
)");

@mysql_query("CREATE TABLE currencies (
	currencycode varchar(3),
	rate decimal(10,2),
	updated varchar(30),
	PRIMARY KEY (currencycode)
)");

@mysql_query("CREATE TABLE shipping (
	shippingbusiness varchar(50),
	shippingfirstname varchar(50),
	shippinglastname varchar(50),
	shippingaddress varchar(50),
	shippingaddress2 varchar(50),
	shippingzip varchar(10),
	shippingcity varchar(30),
	shippingstate varchar(30),
	shippingcountry varchar(30),
	shippingphone varchar(20),
	shippingemail varchar(50),
	sameasbilling int,
	selectedoption int,
	vat varchar(255),
	customerid int,
	shippingid int not null auto_increment,
	PRIMARY KEY (shippingid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE affiliate (
	user varchar(50),
	password varchar(50),
	sessionid varchar(50),
	ip varchar(15),
	activity varchar(30),
	business varchar(50),
    firstname varchar(50),
	lastname varchar(50),
    email varchar(50),
	paypalid varchar(50),
    address varchar(50),
    state varchar(50),
    zip varchar(10),
    city varchar(30),
	country varchar(30),
	signedup varchar(30),
	updated varchar(30),
	lastdate varchar(30),
    url varchar(255),
	apiurl varchar(255),
    phone varchar(20),
	clicks int,
	referedby int,
    affiliateid int not null auto_increment,
	referralcode varchar(10),
	commissionlevel int,
	extrainfo text,
	confirmcode varchar(10),
    PRIMARY KEY (affiliateid),
	INDEX (referralcode),
	INDEX (user),
	INDEX (sessionid)
)");

@mysql_query("CREATE TABLE affiliatepm (
	affiliatepmid int not null auto_increment,
	toaffiliateid int,
	fromaffiliateid int,
	hasbeenread int,
	sentdate varchar(30),
	subject varchar(255),
	message text,
    PRIMARY KEY (affiliatepmid),
	INDEX (toaffiliateid)
)");

@mysql_query("CREATE TABLE affiliatereferer (
	affiliateid int,
	referer varchar(255),
	clicks int,
	INDEX (affiliateid),
	INDEX (referer)
)");

@mysql_query("CREATE TABLE affiliatetags (
	affiliatetagid int not null auto_increment,
	fieldname varchar(255),
	tagname varchar(255),
	rows int,
    PRIMARY KEY (affiliatetagid)
)");

@mysql_query("CREATE TABLE affiliatetaginfo (
    affiliateid int not null,
	affiliatetagid int not null,
	value text,
	INDEX (affiliateid),
	INDEX (affiliatetagid)
)");

@mysql_query("CREATE TABLE pendingaffiliate (
	user varchar(50),
	password varchar(50),
	business varchar(50),
    firstname varchar(50),
	lastname varchar(50),
    email varchar(50),
	paypalid varchar(50),
    address varchar(50),
    state varchar(50),
    zip varchar(10),
    city varchar(30),
	country varchar(30),
    url varchar(255),
    phone varchar(20),
	referedby int,
	extrainfo text,
	INDEX (password)
)");

@mysql_query("CREATE TABLE user (
    userid int not null auto_increment,
	admin int default 0,
	username varchar(30),
	password varchar(64),
	passwordreset varchar(64),
	sessionid varchar(50),
	ip varchar(15),
	activity varchar(30),
	loginlock varchar(30),
	licensekey varchar(30),
	licensecheck varchar(10),
	modules varchar(30),
	shopname varchar(50),
	shopdescription text,
	url varchar(255),
	businesstype varchar(15),
    firstname varchar(50),
	lastname varchar(50),
    email varchar(50),
    address varchar(50),
    state varchar(50),
    zip varchar(10),
    city varchar(30),
	country varchar(30),
    phone varchar(20),
	paymentdetails varchar(255),
	commissionlevel varchar(5),
	mallmode varchar(15),
	requestpayment int,
	theme varchar(30),
	pageheader text,
	pagefooter text,
	metakeywords text,
	metadescription text,
	bgcolor varchar(7),
	textcolor varchar(7),
	linkcolor varchar(7),
	formsbgcolor varchar(7),
	formstextcolor varchar(7),
	itembordercolor varchar(7),
	itembgcolor varchar(7),
	itemtextcolor varchar(7),
	categorycolor varchar(7),
	categorytextcolor varchar(7),
	selectedcategory varchar(7),
	selectedcategorytext varchar(7),
	font varchar(30),
	alertcolor varchar(7),
	catalogheader varchar(7),
	catalogheadertext varchar(7),
	formsbordercolor varchar(7),
	itemborderwidth int,
	fontsize1 int,
	fontsize2 int,
	fontsize3 int,
	tablesize1 int,
	tablesize2 int,
	movelock int default 0,
	htmllock int default 0,
	PRIMARY KEY (userid),
	INDEX (sessionid),
	INDEX (username)
)");

@mysql_query("CREATE TABLE pendingorders (
    orderid varchar(100),
	products text,
	date varchar(30),
	amount varchar(15),
	description blob,
	firstname varchar(50),
	lastname varchar(50),
	email varchar(50),
	address varchar(50),
	zip varchar(10),
	city varchar(30),
	state varchar(30),
	country varchar(30),
	phone varchar(20),
	affiliateid int,
	PRIMARY KEY (orderid)
)");

@mysql_query("CREATE TABLE qtypricelevels (
  levelid int auto_increment not null,
  levelprice decimal(8,2),
  levelquantity int,
  customerlevel int default 0,
  productid int,
  PRIMARY KEY (levelid),
  INDEX (productid)
)");

@mysql_query("CREATE TABLE orders (
	customerid int,
    orderid int not null auto_increment,
	invoiceid int,
	purchaseorder varchar(40),
	reference varchar(40),
	userid varchar(255),
	payoptionid int,
	remoteorderid varchar(100),
	products text not null,
	productprices varchar(255),
	productdiscounts varchar(255),
	description text,
	tempdate varchar(30),
	date varchar(30),
	paid varchar(30),
	billdate varchar(30),
	duedate varchar(30),
	price decimal(10,2),
	pricelevel int,
	tax varchar(30),
	shipping varchar(15),
	discount varchar(15),
	ip varchar(15),
	password varchar(15),
	telesigncode varchar(4),
	language varchar(2),
	comment blob,
	returnurl varchar(255),
	allowemail int,
	source varchar(15),
	vendors varchar(255),
	shipped varchar(30),
	wholesale int,
	affiliateid varchar(255),
	referral varchar(8),
	virtualcash decimal(10,2),
	recurringfee decimal(10,2),
	recurringorder int,
	originalorderid int,
	PRIMARY KEY (orderid),
	INDEX (customerid),
	INDEX (date)
)");

@mysql_query("CREATE TABLE paymentinfo (
    orderid int,
	payoptionid int,
	cardtype varchar(15),
	cardnumber blob,
	expdate blob,
	seccode blob,
	INDEX (orderid),
	INDEX (payoptionid)
)");

@mysql_query("CREATE TABLE orderaffiliate (
	affiliateid int,
	orderid int,
	paid varchar(30),
	paymethod varchar(30),
	secondtier int,
	commission varchar(15),
	INDEX (affiliateid),
	INDEX (orderid)
)");

@mysql_query("CREATE TABLE pendingorderaff (
	affiliateid int,
	orderid int,
	secondtier int,
	commission varchar(15),
	INDEX (affiliateid),
	INDEX (orderid)
)");

@mysql_query("CREATE TABLE payoptions (
	payoptionid int not null auto_increment,
	userid int,
	ordernumber int,
	emerchantonly int,
	retailonly int,
	wholesaleonly int,
	gateway varchar(30),
	name varchar(30),
	merchantid varchar(100),
	secret varchar(100),
	transactionkey varchar(100),
	paypalid varchar(100),
	logourl varchar(255),
	vspartner varchar(30),
	pageid int,
	testmode int,
	autodelivery int,
	deliverpending int,
	smspayment int,
	telesign int,
	bgcolor varchar(10),
	bgurl varchar(255),
	description blob,
	orderpagetext blob,
	thankyoutext blob,
	fee decimal(8,2),
	initialperiod varchar(30),
	recurringperiod varchar(30),
	rebills int,
	PRIMARY KEY (payoptionid),
	INDEX (gateway)
)");

@mysql_query("INSERT INTO payoptions (userid,gateway,name,description,thankyoutext) VALUES ('1','manual','Send a check','Sample manual payment option. Modify this payment option on the page Configuration->Payment in your AShop administration panel.','<table class=\"ashopthankyouframe\">
  <tr align=\"center\"> 
    <td><span class=\"ashopthankyouheader\">Thank you for your order!</span></td></tr>
<tr><td><span class=\"ashopthankyoutext2\">A store receipt has been sent to the e-mail address that you entered in the payment form. Depending on how busy the mail server is, it may take 1 to 15 minutes to arrive at your mailbox. If you purchased downloadable products, the receipt will include a password and link to the download area. Use the e-mail address that you entered in the payment form and the password from the receipt to access the downloadable products.</span></td></tr>
<tr><td><span class=\"ashopthankyoutext2\">If you have any questions you are welcome to contact us at:</span></td></tr>
<tr><td align=\"center\">
<table align=\"center\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">
   <tr><td align=\"right\" width=\"150\" nowrap><span class=\"ashopthankyoutext1\">phone:</span></td>
   <td><span class=\"ashopthankyoutext2\">555-555555</span></td></tr>
   <tr><td align=\"right\"><span class=\"ashopthankyoutext1\">email:</span></td>
   <td><span class=\"ashopthankyoutext2\">you@yourdomain.com</span></td></tr>
   <tr><td align=\"right\" valign=\"top\"><span class=\"ashopthankyoutext1\">mail:</span></td>
   <td><span class=\"ashopthankyoutext2\">1234 Yourstreet, Yourtown</span></td></tr></table></td></tr>
</table>')");

@mysql_query("CREATE TABLE formfields (
  formfieldid int auto_increment not null,
  payoptionid int,
  label varchar(30),
  name varchar(30),
  size int,
  rows int,
  required int,
  PRIMARY KEY (formfieldid),
  INDEX (payoptionid),
  INDEX (name)
)");

@mysql_query("CREATE TABLE fulfiloptions (
	fulfiloptionid int not null auto_increment,
	method varchar(30),
	name varchar(30),
	userid varchar(100),
	password varchar(100),
	email varchar(100),
	message blob,
	url varchar(255),
	parameternames text,
	extrafields text,
	returnmessage int,
	perorder int,
	discount decimal(8,2),
	discounttype varchar(5),
	ecardimage varchar(50),
	ecardfont varchar(50),
	ecardtextcolor varchar(10),
	ecardtexttop int,
	ecardtextleft int,
	ecardtextright int,
	level int,
	PRIMARY KEY (fulfiloptionid),
	INDEX (method)
)");

@mysql_query("CREATE TABLE category (
	categoryid int auto_increment not null,
	userid int,
	grandparentcategoryid int,
	parentcategoryid int,
	language varchar(3),
	name varchar(100),
	description blob,
	ordernumber int,
	memberclone int,
	productlayout int,
	PRIMARY KEY (categoryid),
	INDEX (name),
	INDEX (grandparentcategoryid),
	INDEX (parentcategoryid)
)");

@mysql_query("INSERT INTO category (userid, language, name, description) VALUES ('1','any','Mobile Devices','')");
@mysql_query("INSERT INTO category (userid, language, name, description) VALUES ('1','any','TV & Video','')");
@mysql_query("UPDATE category SET grandparentcategoryid=categoryid, parentcategoryid=categoryid, ordernumber=categoryid");

@mysql_query("CREATE TABLE menuitem (
	itemid int auto_increment not null,
	userid int,
	parentitemid int,
	language varchar(3),
	caption varchar(100),
	ordernumber int,
	memberclone int,
	url text,
	PRIMARY KEY (itemid),
	INDEX (caption),
	INDEX (language),
	INDEX (parentitemid),
	INDEX (userid)
)");

@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url) VALUES ('1','1','any','Home','index.php')");
@mysql_query("UPDATE menuitem SET parentitemid=itemid, ordernumber=itemid WHERE caption='Home'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url) VALUES ('1','1','any','About Us','aboutus.php')");
@mysql_query("UPDATE menuitem SET parentitemid=itemid, ordernumber=itemid WHERE caption='About Us'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url) VALUES ('1','1','any','Terms &amp; Conditions','terms.php')");
@mysql_query("UPDATE menuitem SET parentitemid=itemid, ordernumber=itemid WHERE caption='Terms &amp; Conditions'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url) VALUES ('1','1','any','Affiliates','affiliate/signupform.php')");
$parentitemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET parentitemid=itemid, ordernumber=itemid WHERE itemid='$parentitemid'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url, parentitemid) VALUES ('1','1','any','Sign Up','affiliate/signupform.php','$parentitemid')");
$itemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET ordernumber=itemid WHERE itemid='$itemid'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url, parentitemid) VALUES ('1','1','any','Login','affiliate/login.php','$parentitemid')");
$itemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET ordernumber=itemid WHERE itemid='$itemid'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url) VALUES ('1','1','any','Wholesale','wholesale/signupform.php')");
$parentitemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET parentitemid=itemid, ordernumber=itemid WHERE itemid='$parentitemid'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url, parentitemid) VALUES ('1','1','any','Sign Up','wholesale/signupform.php','$parentitemid')");
$itemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET ordernumber=itemid WHERE itemid='$itemid'");
@mysql_query("INSERT INTO menuitem (userid, memberclone, language, caption, url, parentitemid) VALUES ('1','1','any','Login','wholesale/login.php','$parentitemid')");
$itemid = @mysql_insert_id();
@mysql_query("UPDATE menuitem SET ordernumber=itemid WHERE itemid='$itemid'");

@mysql_query("CREATE TABLE product (
	productid int auto_increment not null,
	copyof int default null,
	userid int,
	vendorid int,
	featured int,
	qtylimit int,
	qtytlimit int,
	inventory int,
	useinventory int,
	lowlimit int,
	skucode varchar(25),
	cost varchar(15),
	recurringprice decimal(8,2),
	avail varchar(30),
	billtemplate int,
	inmainshop int,
	name varchar(100),
	active int,
	wholesaleactive int,
	manufacturer varchar(255),
	detailsurl varchar(255),
	receipttext varchar(255),
	description text,
	longdescription text,
	licensetext text,
	metakeywords varchar(255),
	metadescription varchar(255),
	price decimal(8,2),
	pricetext text,
	qtytype int,
	qtycategory int,
	wholesaleprice decimal(8,2),
	wspricelevels varchar(255),
	ebayid varchar(30),
	shipping varchar(255),
	intshipping varchar(255),
	subscriptiondir varchar(255),
	prodtype varchar(15),
	protectedurl text,
	affiliatecom varchar(50),
	affiliatecom2 varchar(50),
	affiliatetiercom varchar(50),
	affiliatewscom varchar(50),
	affiliaterepeatcommission int,
	ordernumber int,
	listmessengergroup int,
	listmaillist int,
	phpbbgroup int,
	arpresponder int,
	infresponder int,
	infresponderoff int,
	fitlistresponder int,
	iemlist int,
	mailchimplist varchar(20),
	autoresponder varchar(20),
	autoresponderoff varchar(20),
	taxable int,
	length int,
	fulfilment int,
	weight varchar(20),
	ffproductid text,
	fflabelnumber varchar(100),
	ffpackagenumber varchar(100),
	ffparamnames text,
	exportedtosaasu int default 0,
	language varchar(3),
	activatereviews int,
	activatesocialnetworking int,
	PRIMARY KEY (productid),
	INDEX (skucode),
	INDEX (ebayid),
	INDEX (detailsurl)
)");

@mysql_query("CREATE TABLE membershiplog (
	loginitemid int auto_increment not null,
	productid int,
	customerid int,
	logindate varchar(30),
	ipnumber varchar(15),
	email varchar(50),
	password varchar(30),
	remainingdays int,
	PRIMARY KEY (loginitemid),
	INDEX (productid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE reviews (
	reviewid int auto_increment not null,
	productid int, 
	customerid int, 
	rating int(1), 
	time varchar(32), 
	comment text,
	PRIMARY KEY (reviewid),
	INDEX (productid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE mailing (
	mailingid int auto_increment not null,
	logfile varchar(50),
	type varchar(15),
	format varchar(5),
	subject text,
	message text,
	sessionkey varchar(30),
	timestamp varchar(30),
	paused int,
	PRIMARY KEY (mailingid)
)");

@mysql_query("CREATE TABLE maillog (
	mailingid int,
	recipientid int4,
	email varchar(100),
	INDEX (mailingid)
)");

@mysql_query("CREATE TABLE notification (
	notificationid int auto_increment not null,
	type varchar(15),
	message text,
	PRIMARY KEY (notificationid)
)");

@mysql_query("CREATE TABLE export (
	exportid int auto_increment not null,
	saasuassetaccount varchar(20),
	saasuincomeaccount varchar(20),
	saasucosaccount varchar(20),
	saasupurchasetaxcode varchar(20),
	saasusalestaxcode varchar(20),
	numberofitems int,
	PRIMARY KEY (exportid)
)");

@mysql_query("INSERT INTO product (userid, name, active, wholesaleactive, detailsurl, manufacturer, description, longdescription, price, wholesaleprice, featured) VALUES ('1','Apple iPad 32 GB Wifi','1','1','$url/catalog/Apple_iPad_32_GB_Wifi.html','Apple','','<h3>The world&rsquo;s most advanced mobile operating system.</h3>
<p>iPad is years and years ahead of any other device that has tried to  come close &mdash; all thanks to iOS 4. With its easy-to-use interface,  innovative technology, amazing features, and rock-solid stability, iOS 4  is the foundation for everything that makes iPad great.</p>
<h3>Apps for iPad. Made by Apple.</h3>
<p>Make music with your fingertips in GarageBand. Edit HD movies in  iMovie. Write novels, present your big ideas, or crunch some numbers  with Pages, Keynote, and Numbers. Apple apps for iPad &mdash; available from  the App Store &mdash; give you all the power and fun you need to do more than  you ever thought possible. Wherever you go.</p>
<p><strong>You check your email</strong> many times a day, and iPad  actually makes it fun. Scroll through messages with your finger. See all  your mail from every account at once. Type with the onscreen keyboard  that helps you write. And view and open attachments right in the  message. There&rsquo;s no better place for an inbox.</p>
<p><strong>The Internet can be a huge, hard-to-fathom kind of place. </strong>Yet  iPad makes it easy to explore. Hold the web in your hands like a book  or magazine. Use your fingers to move around a website, zoom in on  images and text, and tap links. Once you see the web on iPad, it&rsquo;s hard  to see it any other way.</p>
<p><strong>It&rsquo;s super-advanced show-and-tell for photos.</strong> Swipe  through them one by one in all their full-screen glory. Or choose a  favorite song, pick a fun transition, and create a slideshow. Turn iPad  into the perfect frame with the iPad Smart Cover. Or stream photos to  your HDTV with AirPlay for an even bigger show.</p>','840.00','500.00','1')");
@mysql_query("INSERT INTO product (userid, name, active, wholesaleactive, detailsurl, manufacturer, description, longdescription, price, wholesaleprice, featured) VALUES ('1','Apple iPod Touch 4G','1','1','$url/catalog/Apple_iPod_Touch_4G.html','Apple','','<p><strong>FaceTime on iPod touch</strong> lets you hang out, catch up,  and goof off with friends in an entirely new way. With just a tap, you  can see what your friends are up to &mdash; literally. Witness a prank in  action. Or watch your friend on the other side of the country crack up  at your stories from last night &mdash; new iPod touch to new iPod touch or  iPhone 4 over Wi-Fi. And all you need to get started is an Apple ID and  an email account. You can choose an email account you already have or,  if you prefer, set up a new one. You&rsquo;ll never see fun the same way  again.</p>
<p><strong>The Retina display</strong> on iPod touch brings out the  awesome in anything on it. That&rsquo;s because it&rsquo;s the highest-resolution  iPod screen ever, with four times the pixel count of previous iPod  models. In fact, there are so many pixels, the human eye can&rsquo;t  distinguish individual ones. Which makes graphics and images stunningly  sharp, and text amazingly crisp. Just like the printed page.</p>
<p><strong>&ldquo;You should have seen it!&rdquo; is a thing of the past.</strong>  Because with iPod touch, you&rsquo;ll always have a great HD video camera with  you. Say you&rsquo;re at a party and you see someone popping and locking.  You&rsquo;re ready to capture the moment in all its glory. In high-definition  720p video. You can record video in low-light settings, thanks to the  advanced backside illumination sensor. You can even edit and create your  own mini blockbuster right on iPod touch using the new iMovie app &mdash;  with Apple-designed themes, titles, and transitions.&nbsp;</p>','880.00','600.00','2')");
@mysql_query("INSERT INTO product (userid, name, active, wholesaleactive, detailsurl, manufacturer, description, longdescription, price, wholesaleprice, featured) VALUES ('1','LCD TV BRAVIA KDL-40U2000','1','1','$url/catalog/LCD_TV_BRAVIA_KDL40U2000.html','Sony','','<p>Sony\'s worldwide reputation for creating unique, attractive,  high-quality, advanced technology products rests on a long line of  innovations embraced by people from all walks of life. With a diverse  product lineup serving a variety of lifestyles and industries, Sony  continuously strives to introduce new products and technologies to meet  changing market needs.PRODUCT FEATURES:Integrated Digital TV Tuner (also  receives analog);High Performance 1-chip Video Processor;3D Comb  Filter;Virtual Dolby Surround Sound;BBE ViVa HD3D technology for clear  and easily audible sound;HD Ready;PIP Freeze to Pause Important Scenes  on the Spot;High Definition Multimedia Interface (HDMI);PC Input for use  as a PC monitor;Compact and Slim Design;Non-Reflective coating on TV  frames</p>','590.00','450.00','3')");
@mysql_query("INSERT INTO product (name,description,prodtype,userid,language) VALUES ('AShopFirstPageMobile','<p><img src=\"images/callout1.jpg\" alt=\"Welcome to a new AShop!\" /></p>
<p>
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px; background-color: #FFF;\" align=\"center\">
<tbody><tr><td align=\"center\">%feature1%</td></tr></tbody></table></p>
<p>
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px; background-color: #FFF;\" align=\"center\">
<tbody><tr><td align=\"center\">%feature2%</td></tr></tbody></table></p>
<p>
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px; background-color: #FFF;\" align=\"center\">
<tbody><tr><td align=\"center\">%feature3%</td></tr></tbody></table></p>','content','1','any')");
@mysql_query("INSERT INTO product (name,description,prodtype,userid,language) VALUES ('AShopFirstPage','<table width=\"100%\" cellspacing=\"0\" cellpadding=\"5\" border=\"0\">
<tbody><tr><td width=\"100%\" valign=\"top\" align=\"center\"><img src=\"images/callout1.jpg\" alt=\"Welcome to a new AShop!\" />
<p>&nbsp;</p><table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\"><tbody>
<tr><td width=\"33%\" valign=\"top\" align=\"center\">
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px;\">
<tbody><tr><td align=\"center\">%feature1%</td></tr></tbody></table></td>
<td width=\"33%\" valign=\"top\" align=\"center\">
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px;\">
<tbody><tr><td align=\"center\">%feature2%</td></tr></tbody></table></td>
<td width=\"33%\" valign=\"top\" align=\"center\">
<table width=\"180\" cellspacing=\"0\" cellpadding=\"5\" style=\"border: 1px solid #C0C0C0; height: 180px;\">
<tbody><tr><td align=\"center\">%feature3%</td></tr></tbody></table></td></tr></tbody></table></td></tr></tbody></table>','content','1','any')");
@mysql_query("INSERT INTO product (name,description,prodtype,userid,language) VALUES ('AShopAboutPage','<p>&nbsp;</p>
<div align=\"center\" class=\"ashoppageheadertext2\"><span style=\"font-size: 18px;\"><b>About Your Shop Name</b></span></div>
<p>&nbsp;</p>
<p>Your Shop Name is a company that does what you put in here instead of this sample text. Some sample text about how long you have been in business, where you are located, why the visitor should choose to buy from your company.</p>
<p>Another paragraph describing your line of products. Let the visitor know the advantages of your product(s).</p>
<p>&nbsp;</p>','content','1','any')");
@mysql_query("INSERT INTO product (name,description,prodtype,userid,language) VALUES ('AShopTermsPage','<br />
<div class=\"ashoppageheadertext2\" align=\"center\"><span style=\"font-size: 18px;\"><b>Terms and Conditions</b></span></div><br /><span class=\"maintext\">
PLEASE READ THESE TERMS CAREFULLY, AND PRINT AND KEEP A COPY OF THEM FOR YOUR REFERENCE.<br />
<br />
1. GENERAL TERMS<br />
<br />
When you place an order with us, you are making an offer to buy goods.  We will send you an e-mail to confirm that we have received your order.  Once we have checked the price and availability of the goods, we will e-mail you again to confirm that we accept your order, and that a contract has been made between us.  We will not take payment from you until we have accepted your order.  In the unlikely event that the goods are no longer available, or that we have made a pricing mistake, we will advise you of this.  You will not receive an e-mail confirming acceptance of your order, and there will be no contract between us.  If the goods you order are not available, we may supply you with substitute goods.  If you decide not to accept the substitute goods, you will not have to pay to return them to us.<br />
<br />
2. DELIVERY<br />
<br />
If the goods are lost or damaged in transit, please let us know promptly, so that we can make a claim against the carriers. We will offer you the choice of a replacement or a full refund.<br />
<br />
3. CANCELLATION AND RETURNS<br />
<br />
This cancellation policy does not affect your rights when we are at fault - for example, if goods are faulty or misdescribed.<br />
You can cancel your contract before delivery, and up to 7 working days after delivery.  To do this, please e-mail us or write to us.<br />
We will refund your money, including the original postage charges, within 30 days.  You do not have to give any reason for cancellation.  However, a brief explanation will help us to improve the service we offer to customers in the future.<br />
If you cancel, you must return the goods to us at your own expense.  You are responsible for the risk of loss or damage when you return goods, so you should take out enough postal insurance to cover their value.<br />
If you fail to do return the goods, we will collect them, and we will charge you the direct cost of collection.  If you fail to take reasonable care of the goods before they are returned to us, and this results in damage or deterioration, we will charge you for the reduction in value.<br />
<br />
4. FAULTY GOODS<br />
<br />
If there is a problem with the goods, please contact us to discuss the matter further.  If the goods are found to be faulty within a reasonable time after delivery, you may reject them and claim a full refund, plus compensation for your losses.  If a fault is found later on, or if you delay in making a complaint, you will still be entitled to a repair or, if a repair cannot be done without causing you significant inconvenience, a replacement.  If a replacement is not available, you may be able to claim a part or full refund of your money, plus compensation for any other losses incurred.<br />
<br />
5. CHANGES TO THESE TERMS<br />
These terms apply to your order.  We may change our terms and conditions at any time, so please do not assume that the same terms will apply to future orders.<br /><br /><br />
</span>','content','1','any')");
@mysql_query("INSERT INTO product (name,detailsurl,prodtype,language,userid) VALUES ('AShop Software','http://www.ashopsoftware.com','content','any','1')");
@mysql_query("INSERT INTO product (name,detailsurl,prodtype,language,userid) VALUES ('AShop Forum','http://forum.ashopsoftware.com','content','any','1')");
@mysql_query("INSERT INTO product (name,detailsurl,prodtype,language,userid) VALUES ('Autoresponder Service','http://www.autoresponder-service.com','content','any','1')");
@mysql_query("INSERT INTO product (name,detailsurl,prodtype,language,userid) VALUES ('Shopping Cart Free Trial','http://www.ashopsoftware.com/dlcounter/trialform.html','content','any','1')");

@mysql_query("UPDATE product SET ordernumber=productid");

@mysql_query("CREATE TABLE productinventory (
	productid int not null,
    type varchar(30),
	skucode varchar(25),
	inventory int,
	qtylimit int,
	qtytlimit int,
	exportedtosaasu int default 0,
	INDEX (productid),
	INDEX (skucode)
)");

@mysql_query("CREATE TABLE productfiles (
	id int auto_increment not null,
    fileid int,
	ordernumber int,
	productid int,
	filename varchar(255),
	url text,
	PRIMARY KEY (id),
	INDEX (fileid)
)");

@mysql_query("CREATE TABLE orderdownloads (
	orderid int,
    fileid int,
	downloads int,
	INDEX (orderid),
	INDEX (fileid)
)");

@mysql_query("CREATE TABLE downloadslog (
	orderid int,
    fileid int,
	date varchar(30),
	ip varchar(15),
	INDEX (orderid),
	INDEX (fileid)
)");

@mysql_query("CREATE TABLE discount (
    discountid int auto_increment not null,
	productid int,
	code varchar(50),
	value decimal(8,2),
	type varchar(5),
	onetime int,
	customerid int4,
	PRIMARY KEY (discountid),
	INDEX (productid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE storediscounts (
    discountid int auto_increment not null,
	code varchar(50),
	value decimal(8,2),
	type varchar(5),
	affiliate int,
	customerid int4,
	categoryid int,
	giftcertificate int,
	used int,
	PRIMARY KEY (discountid),
	INDEX (affiliate),
	INDEX (code),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE onetimediscounts (
    discountid int,
	customerid int,
	INDEX (discountid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE updates (
	productid int,
	title varchar(255),
	password varchar(15),
	date varchar(30),
	alloweddays int,
	filename varchar(255),
	INDEX (productid),
	INDEX (password)
)");

@mysql_query("CREATE TABLE unlockkeys (
	keyid int auto_increment not null,
	productid int,
	orderid varchar(30),
	keytext varchar(255),
	PRIMARY KEY (keyid),
	INDEX (productid)
)");

@mysql_query("CREATE TABLE packages (
    packageid int auto_increment not null,
	productid int,
	originzip varchar(10),
	origincountry varchar(30),
    originstate varchar(30),
	weight decimal(8,2),
	freightclass varchar(10),
	PRIMARY KEY (packageid),
	INDEX (productid)
)");

@mysql_query("CREATE TABLE shipoptions (
  shipoptionid int auto_increment not null,
  description varchar(255),
  fee decimal(8,2),
  shipped varchar(15),
  disableshipping int,
  PRIMARY KEY (shipoptionid)
)");

@mysql_query("CREATE TABLE shipdiscounts (
  shipdiscountid int auto_increment not null,
  value decimal(8,2),
  quantity int,
  local int,
  shipoptionid int,
  PRIMARY KEY (shipdiscountid),
  INDEX (quantity)
)");

@mysql_query("CREATE TABLE zipzones (
  zip varchar(10),
  zone int(11),
  zonename varchar(50),
  INDEX (zip),
  INDEX (zonename)
)");

@mysql_query("CREATE TABLE zonerates (
  productid int(11),
  zone int(11),
  rate double default NULL,
  INDEX (productid),
  INDEX (zone)
 )");

@mysql_query("CREATE TABLE localtax (
  city varchar(50),
  rate decimal(8,2),
  PRIMARY KEY (city)
 )");

@mysql_query("CREATE TABLE quantityrates (
  productid int(11),
  quantity int(11),
  rate double default NULL,
  INDEX (productid),
  INDEX (quantity)
)");

@mysql_query("CREATE TABLE parameters (
    parameterid int auto_increment not null,
	productid int,
	caption varchar(255),
	buybuttons int,
	inputrows int,
	PRIMARY KEY (parameterid),
	INDEX (productid)
)");

@mysql_query("CREATE TABLE parametervalues (
    valueid int auto_increment not null,
	parameterid int,
	download varchar(10),
	noshipping int,
	notax int,
	nofulfilment int,
	price varchar(255),
	value varchar(255),
	PRIMARY KEY (valueid),
	INDEX (parameterid)
)");

@mysql_query("CREATE TABLE customparametervalues (
    valueid int auto_increment not null,
	parameterid int,
	value varchar(255),
	timestamp varchar(10),
	PRIMARY KEY (valueid),
	INDEX (parameterid)
)");

@mysql_query("CREATE TABLE productflags (
    flagid int auto_increment not null,
	name varchar(255),
	PRIMARY KEY (flagid)
)");

@mysql_query("CREATE TABLE flagvalues (
    flagid int,
	productid int
)");

@mysql_query("CREATE TABLE productcategory (
	productid int,
	categoryid int,
	INDEX (productid),
	INDEX (categoryid)
)");

@mysql_query("INSERT INTO productcategory (productid,categoryid) VALUES ('1','1')");
@mysql_query("INSERT INTO productcategory (productid,categoryid) VALUES ('2','1')");
@mysql_query("INSERT INTO productcategory (productid,categoryid) VALUES ('3','2')");

@mysql_query("CREATE TABLE linkcodes (
	linkid int auto_increment not null,
	linkcategoryid int,
	userid int,
	linktext blob,
	filename varchar(255),
	redirect varchar(255),
	alt varchar(255),
	PRIMARY KEY (linkid),
	INDEX (linkcategoryid)
)");

@mysql_query("CREATE TABLE linkcategories (
	linkcategoryid int auto_increment not null,
	userid int,
	linkcategoryname varchar(100),
	PRIMARY KEY (linkcategoryid)
)");

@mysql_query("INSERT INTO linkcategories (userid,linkcategoryname) VALUES ('1','Banners')");
@mysql_query("INSERT INTO linkcategories (userid,linkcategoryname) VALUES ('1','Text Ads')");

@mysql_query("CREATE TABLE customerblacklist (
	blacklistitemid int auto_increment not null,
	blacklistitem varchar(255),
	PRIMARY KEY (blacklistitemid),
	INDEX (blacklistitem)
)");

@mysql_query("CREATE TABLE visitcounter (
	id int(7) NOT NULL auto_increment,
	total varchar(255) NOT NULL default '',
	date varchar(255) NOT NULL default '',
	extrafield varchar(255) NOT NULL default '',
	keepcurrent varchar(255) NOT NULL default '',
	extrafield2 varchar(255) NOT NULL default '',
	today varchar(255) NOT NULL default '',
	currenttoday varchar(255) NOT NULL default '',
	installdate varchar(255) NOT NULL default '',
	PRIMARY KEY (id)
)");

@mysql_query("CREATE TABLE visitcounter_online (
	id int(7) NOT NULL auto_increment,
	ip varchar(255) NOT NULL default '',
	time varchar(255) NOT NULL default '',
	PRIMARY KEY (id),
	INDEX (ip),
	INDEX (time)
)");

@mysql_query("CREATE TABLE visitcounter_today (
	id int(7) NOT NULL auto_increment,
	ip varchar(255) NOT NULL default '',
	time varchar(255) NOT NULL default '',
	PRIMARY KEY (id),
	INDEX (ip),
	INDEX (time)
)");

@mysql_query("CREATE TABLE savedcarts (
	cartid int NOT NULL auto_increment,
	customerid int,
	cartname varchar(30),
	productstring text,
	PRIMARY KEY (cartid),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE preferences (
	prefid int NOT NULL default '0',
	prefname varchar(30),
	prefvalue text,
	PRIMARY KEY (prefid),
	INDEX (prefname)
)");

@mysql_query("CREATE TABLE wholesalepaymentinfo (
    orderid int,
	payoptionid int,
	cardtype varchar(15),
	cardnumber blob,
	expdate blob,
	seccode blob,
	firstname varchar(50),
	lastname varchar(50),
	address varchar(50),
	zip varchar(10),
	city varchar(30),
	state varchar(30),
	country varchar(30),
	INDEX (orderid)
)");

@mysql_query("CREATE TABLE searchstatistics (
    keyword varchar(50),
	date varchar(30),
	INDEX (keyword),
	INDEX (date)
)");

@mysql_query("CREATE TABLE floatingprice (
	productid int,
	orderid int,
	length int,
	activatetime varchar(50),
	starttime varchar(50),
	startprice decimal(8,2),
	originalstartprice decimal(8,2),
	endprice decimal(8,2),
	priceincrement decimal(8,2),
	bids int,
	bidderid int,
	type varchar(10),
	PRIMARY KEY (productid),
	INDEX (bidderid)
)");

@mysql_query("CREATE TABLE pricebidder (
	bidderid int NOT NULL auto_increment,
	bidcode varchar(30),
	screenname varchar(15),
	numberofbids int,
	refill int,
	customerid int,
	PRIMARY KEY (bidderid),
	INDEX (bidcode),
	INDEX (customerid)
)");

@mysql_query("CREATE TABLE relatedproducts (
	relationid int NOT NULL auto_increment,
	productid int,
	relatedproductid int,
	priority int,
	PRIMARY KEY (relationid),
	INDEX (productid)
)");

@mysql_query("CREATE TABLE autoresponders (
	responderid bigint,
	profileid bigint,
	name varchar(255),
	INDEX (responderid)
)");

// Initiate password hashing...
include "includes/PasswordHash.php";
$passhasher = new PasswordHash(8, FALSE);
$passhash = $passhasher->HashPassword("ashopadmin");

// Store default preferences...
$visitcounterinstalldate = date("d.m.Y", time()+$timezoneoffset);
@mysql_query("INSERT INTO visitcounter VALUES (1, '0', '$visitcounterinstalldate', 'ashopadmin', '300', '-', '1', '86400', '$visitcounterinstalldate')");
@mysql_query("INSERT INTO user (userid, username, password) VALUES ('1', 'ashopadmin', '$passhash')");
@mysql_query("INSERT INTO linkcodes (linkid, linktext, filename, redirect, alt) VALUES (1, '&lt;a href=\"%affiliatelink%\"&gt;Join the affiliate program at $ashopname!&lt;/a&gt;', '', '$url/affiliate/signupform.php', '')");

@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('1', 'ashopname', 'Your Shop Name')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('2', 'ashopphone', '555-555555')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('3', 'ashopemail', 'you@yourdomain.com')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('4', 'ashopaddress', '1234 Yourstreet, Yourtown')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('5', 'ashopurl', '$url')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('6', 'ashoppath', '{$ashoppath}')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('7', 'timezoneoffset', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('8', 'shoppingcart', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('9', 'confirmaddtocart', 'no')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('10', 'alloweddownloaddays', '3')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('11', 'alloweddownloads', '3')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('12', 'orderpagelink', '$url')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('13', 'randomkeycodes', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('14', 'affiliateinfo', 'Join our affiliate sales program and earn cash for each sale that clicks through from your link. This is an easy way to make money while offering a useful product to your website visitors or newsletter subscribers!')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('15', 'affiliaterecipient', 'you@yourdomain.com')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('16', 'affiliatepercent', '10')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('17', 'secondtieractivated', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('18', 'secondtierpercent', '3')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('19', 'affiliateredirect', '$url')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('20', 'bgcolor', '#FFFFFF')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('21', 'textcolor', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('22', 'linkcolor', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('23', 'formsbgcolor', '#FFFFFF')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('24', 'formstextcolor', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('25', 'categorytextcolor', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('26', 'itembordercolor', '#D0D0D0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('27', 'itemborderwidth', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('28', 'itembgcolor', '#FFFFFF')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('29', 'categorycolor', '#E0E0E0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('30', 'selectedcategory', '#F0F0F0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('31', 'font', 'Arial, Helvetica, sans-serif')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('32', 'thumbnailwidth', '100')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('33', 'imagewidth', '250')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('34', 'taxstate', 'AL')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('35', 'taxpercentage', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('36', 'shippingtax', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('37', 'shipfromcountry', 'US')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('38', 'handlinglocal', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('39', 'handlingint', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('40', 'listmessengerpath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('41', 'listmailurl', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('42', 'phpbbpath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('43', 'papluspath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('44', 'arpluspath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('45', 'ashopcurrency', 'usd')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('46', 'requestvat', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('47', 'wholesalecatalog', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('48', 'discountlevel1', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('49', 'discountlevel2', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('50', 'discountlevel3', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('51', 'salestaxtype', 'ussalestax')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('52', 'pstpercentage', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('53', 'vatorigincountry', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('54', 'enablecustomerlogin', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('55', 'requirepaypalid', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('56', 'localshipping', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('57', 'ashoptheme', 'none')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('58', 'phpbburl', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('59', 'itemtextcolor', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('60', 'ashopaffiliateid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('61', 'usecondensedlayout', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('62', 'ashopsurl', '$secureurl')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('63', 'memberpercent', '90')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('64', 'displayitems', '20')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('65', 'affiliatepercent2', '20')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('66', 'secondtierpercent2', '6')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('67', 'receiptformat', 'html')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('68', 'ashopversion', '$version')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('69', 'fontsize1', '10')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('70', 'fontsize2', '12')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('71', 'fontsize3', '14')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('72', 'defaultlanguage', 'en')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('73', 'membershops', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('74', 'telesignid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('75', 'memberprodmanage', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('76', 'selectedcategorytext', '#000000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('77', 'probotpath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('78', 'ashopspath', '$path')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('79', 'memberactivate', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('80', 'memberproducttemplate', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('81', 'keeplargeprodimg', 'true')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('82', 'storeshippingmethod', 'none')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('83', 'storeshippingmaxweight', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('84', 'storeshippingfromzip', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('85', 'storeshippingfromstate', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('86', 'storeshippingbasecharge', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('87', 'storeshippingperpound', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('88', 'upsserviceusa', '03')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('89', 'upsserviceworld', '07')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('90', 'upspackagetype', '02')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('91', 'upspickuptype', '01')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('92', 'upspackagetypeworld', '02')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('93', 'fedexserviceusa', '92')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('94', 'fedexserviceworld', '92')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('95', 'fedexpackagetype', '01')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('96', 'shippingmethod', 'custom')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('97', 'fedexpackagetypeworld', '01')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('98', 'dmshowcustomers', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('99', 'collectcustomerinfo', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('100', 'upscountry', 'US')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('101', 'upsdropofftype', '2')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('102', 'upsdailypickup', 'yes')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('103', 'hstpercentage', 'AB:5:0:0|BC:12:0:0|MB:5:7:0|NB:13:0:0|NL:13:0:0|NT:5:0:0|NS:15:0:0|NU:5:0:0|ON:13:0:0|PE:5:10:1|QC:5:8.5:1|SK:5:5:1|YT:5:0:0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('104', 'tablesize1', '700')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('105', 'tablesize2', '600')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('106', 'displaywithtax', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('107', 'upsservicecanusa', '11')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('108', 'shipoptionstype', 'custom')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('109', 'formsbordercolor', '#D0D0D0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('110', 'fedexaccount', '256711745')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('111', 'fedexmeternumber', '1022899')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('112', 'upsaccesskey', 'EB91030B94D70E64')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('113', 'downloadsavedialogue', 'on')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('114', 'alertcolor', '#FF0000')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('115', 'showfileinfo', 'true')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('116', 'telesignauthid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('117', 'itemsperrow', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('118', 'topformlayout', '2')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('119', 'taxpercentage2', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('120', 'catalogheader', '#909090')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('121', 'catalogheadertext', '#FFFFFF')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('122', 'upsellitems', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('123', 'infinitypath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('124', 'showimagesincart', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('125', 'advancedmallmode', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('126', 'affiliateconfirm', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('127', 'fitlisturl', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('128', 'ashopsortorder', 'ASC')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('129', 'autoapprovemembers', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('130', 'requestabn', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('131', 'freeshippinglimit', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('132', 'saasuwsaccesskey', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('133', 'saasufileid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('134', 'saasubankaccountid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('135', 'saasutaxcode', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('136', 'twitteruser', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('137', 'twitterpass', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('138', 'cmsurl', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('139', 'hideemptycategories', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('140', 'customerconfirm', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('141', 'cartlistoncheckout', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('142', 'freeshippingonlylocal', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('143', 'autoresponderid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('144', 'activateautoresponder', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('145', 'ashopdate', '2010-03-18')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('146', 'newsresponderid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('147', 'pappath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('148', 'seourls', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('149', 'priceshipping', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('150', 'iemurl', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('151', 'iemuser', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('152', 'iemtoken', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('153', 'readannouncement', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('154', 'discountoncheckout', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('155', 'discountmessage', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('156', 'maxaffiliatetiers', '10')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('157', 'upgradeaffiliate', '50')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('158', 'activateleads', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('159', 'memberuploadsize', '5')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('160', 'enableproductcount', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('161', 'virtualcashpercent', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('162', 'wholesaleaffiliate', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('163', 'facebookappid', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('164', 'facebooksecret', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('165', 'ashopmetakeywords', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('166', 'ashopmetadescription', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('167', 'ashopnewsfeed', '$url/ashop.rss.php?cat=pageslinks')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('168', 'decimalchar', '.')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('169', 'thousandchar', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('170', 'weightshipping', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('171', 'pricelevels', '1')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('172', 'wordpresspath', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('173', 'uspsuserid', '371MILLE2051')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('174', 'uspsserviceusa', 'PRIORITY')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('175', 'uspsserviceworld', 'Priority Mail International')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('176', 'uspsmachinable', 'True')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('177', 'uspssize', 'REGULAR')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('178', 'uspscontainer', 'RECTANGULAR')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('179', 'customermustregister', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('180', 'mailertype', 'mailfunction')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('181', 'mailerserver', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('182', 'mailerport', '25')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('183', 'maileruser', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('184', 'mailerpass', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('185', 'wholesalepercent', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('186', 'displaywswithtax', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('187', 'memberpayoptions', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('188', 'referrallength', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('189', 'aweberauthcode', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('190', 'shoppingmallinfo', 'This service will provide you with a plug and play shopping cart for your business. You can sell and securely deliver digital goods and/or shipped goods without the need for a merchant account. We will handle the payment from your customer and send it to you. Our fee is currently 10% of the price of your products. Your application will be reviewed by a live person before your membership is activated. Once approved, a password and link to your shop will be emailed to you.')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('191', 'mailchimpapikey', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('192', 'maintenancemessage', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('193', 'eucookiecheck', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('198', 'includesubcategories', '0')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('199', 'minfraudkey', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('200', 'minfraudthreshold', '10')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('201', 'minfraudgeoipkey', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('205', 'fedexkey', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('206', 'fedexpassword', '')");
@mysql_query("INSERT INTO preferences (prefid, prefname, prefvalue) VALUES ('207', 'showdecimals', '2')");

// Show the next step in the installation guide...
header("Location: install.php");
?>